BasePlanetObject (Lucene 10.5.1 spatial3d API)
Description: declaration: package: org.apache.lucene.spatial3d.geom, class: BasePlanetObject

Package org.apache.lucene.spatial3d.geom

# Class BasePlanetObject

java.lang.Object
org.apache.lucene.spatial3d.geom.BasePlanetObject

All Implemented Interfaces:
  `PlanetObject`, `SerializableObject`

Direct Known Subclasses:
  `GeoBaseBounds`, `GeoBaseCompositeShape`

public abstract class BasePlanetObject extends Object implements PlanetObject
All Geo3D shapes can derive from this base class, which furnishes some common code

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final PlanetModel`
  `planetModel`
  This is the planet model embedded in all objects derived from this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasePlanetObject(PlanetModel planetModel)`
  Constructor creating class instance given a planet model.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `PlanetModel`
  `getPlanetModel()`
  Returns the `PlanetModel` provided when this shape was created.
  `int`
  `hashCode()`
  `void`
  `write(OutputStream outputStream)`
  Serialize to output stream.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### planetModel

    protected final PlanetModel planetModel
    This is the planet model embedded in all objects derived from this class.

- ## Constructor Details

  - ### BasePlanetObject

    public BasePlanetObject(PlanetModel planetModel)
    Constructor creating class instance given a planet model.
    Parameters:
      `planetModel` - is the planet model.

- ## Method Details

  - ### getPlanetModel

    public PlanetModel getPlanetModel()
    Description copied from interface: `PlanetObject`
    Returns the `PlanetModel` provided when this shape was created.
    Specified by:
      `getPlanetModel` in interface `PlanetObject`

  - ### write

    public void write(OutputStream outputStream) throws IOException
    Description copied from interface: `SerializableObject`
    Serialize to output stream.
    Specified by:
      `write` in interface `SerializableObject`
    Parameters:
      `outputStream` - is the output stream to write to.
    Throws:
      `IOException`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`